<template>
  <q-container>
    <onboarding-layout>
      <q-header unelevated class="bg-white text-dark" height-hint="100">
        <div class="row flex justify-center">
          <div class="col-12 text-center title-headline">
            <p>Email Verification</p>
          </div>

          <div class="col-12 text-center title-subheadline">
            <p>Please enter the code sent to {{ jobseekerEmail }}</p>
          </div>
        </div>
      </q-header>

      <verification-code-form />
    </onboarding-layout>
  </q-container>
</template>

<script>
import OnboardingLayout from "../layouts/OnboardingLayout.vue";
import VerificationCodeForm from "../components/forms/jobseeker/VerificationCodeForm.vue";
import { defineComponent, computed } from "vue";
import { LocalStorage } from "quasar";

export default defineComponent({
  name: "AccountsSetupPage",
  components: {
    OnboardingLayout,
    VerificationCodeForm,
  },
  setup() {
    return {
      jobseekerEmail: computed(() => LocalStorage.getItem("userForm").email),
    };
  },
});
</script>
